loglikeSTdim {SpatioTemporal} | R Documentation

## Dimensions of the STmodel Structure

### Description

Function that computes the dimension of several objects in a `STmodel` object.

### Usage

    loglikeSTdim(STmodel)

### Arguments

`STmodel` | `STmodel` object for which dimensions are to be computed.

### Value

list containing:

`T` | Number of observation times.
`m` | Number of temporal basis functions, including the intercept.
`n` | Number of distinct locations in the data.
`n.obs` | Number of observed locations.
`p` | vector of length `m`; number of geographic covariates for each temporal basis functions.
`L` | Number of spatio-temporal covariates
`npars.beta.covf` | vector of length `m`; number of parameters for each covariance-function for the beta-fields.
`npars.beta.tot` | vector of length `m`; total number of parameters for each beta-fields, including nugget(s).
`npars.nu.covf,npars.nu.tot` | number of parameters for the nu-field, same distinction as above.
`nparam` | Total number of parameters, including regression parameters.
`nparam.cov` | Number of covariance parameters.

### Author(s)

Johan Lindstrom

### See Also

Other STmodel functions: `createCV`, `createDataMatrix`, `createSTmodel`, `dropObservations`, `estimateBetaFields`, `loglikeST`, `predictNaive`, `processLUR`, `processLocation`, `updateCovf`, `updateTrend.STdata`

Other likelihood utility functions: `calc.mu.B`, `loglikeSTgetPars`, `loglikeSTnames`

### Examples

    ##load the data
    data(mesa.model)

    ##compute dimensions for the data structure
    loglikeSTdim(mesa.model)

[Package SpatioTemporal version 1.1.9.1 Index]